<script>
import { defineComponent, ref, getCurrentInstance, reactive } from "@vue/composition-api";
import request from '~/utils/request';
import { Message } from 'element-ui'

export default defineComponent({
  props: ['id'],
  setup(props) {
    const _this = getCurrentInstance().proxy;

    function handleTabChange(item) {
      _this.$router.replace({ name: item.name, query: _this.$route.query })
    }

    const activeName = ref(_this.$route.name)
    return {
      activeName,
      handleTabChange
    }
  }
})
</script>

<template>
  <div class="w-full h-full">
    <div class="card mb-2">
      <el-tabs v-model="activeName" @tab-click="handleTabChange">
        <el-tab-pane label="任务详情" name="XXGZJC_ZLGD_DETAIL_RWXQ"></el-tab-pane>
        <el-tab-pane label="反馈意见" name="XXGZJC_ZLGD_DETAIL_FKYJ"></el-tab-pane>
      </el-tabs>
    </div>

    <router-view />
  </div>
</template>
